Bug 703985 - Implementation issues found during Openswan code review for CCC evaluation
Implementation issues found during Openswan code review for CCC evaluation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openswan (Show other bugs)
6.1
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Avesh Agarwal
BaseOS QE Security Team
: Reopened, ZStream
Depends On:
Blocks: RHEL62CCC 712114 846801 846802
  Show dependency treegraph
 
Reported: 2011-05-11 15:45 EDT by Avesh Agarwal
Modified: 2012-08-08 14:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: openswan-2.6.32-5.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, very large security label strings received from the peer were being truncated. The truncated string was then still used. However, this truncated string could, under rare circumstances, turn out to be a valid string, leading to an incorrect policy. Additionally, erroneous queuing of on-demand requests of setting up an IPsec connection was discovered in the IKEv2 (Internet Key Exchange) code. Although not harmful, it was not the intended design. This update fixes both of these issues, and Openswan now correctly handles the IKE setup.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 14:05:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avesh Agarwal 2011-05-11 15:45:33 EDT
Description of problem:
During the Openswan code review for CCC evaluation, there are 2 issues found upto now:

1. Labeled-ipsec code changes cause call to add_pending() in the function ikev2parent_outI1() in the file program/pluto/ikev2_parents.c to be out of HAS_IPSEC_POLICY(policy) check something unintended in the original code.
 
2. Very large security label strings received from the peer should not be truncated and should return false immediately leading to connection termination.


Version-Release number of selected component (if applicable):
openswan-2.6.32-el6


How reproducible:
Always

Steps to Reproduce:
1. code review.
2.
3.
  
Actual results:
The above stuff happens in the code.

Expected results:
The above stuff should not happen in the code.

Additional info:
I think that I am not sure how to test the above thing except from a code review again.
Comment 1 Avesh Agarwal 2011-05-11 15:47:12 EDT
The version is openswan-2.6.32-4.el6.
Comment 5 Martin Prpič 2011-07-13 15:42:20 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, very large security label strings received from the peer were being truncated. The truncated string was then still used. However, this truncated string could, under rare circumstances, turn out to be a valid string, leading to an incorrect policy. Additionally, erroneous queuing of on-demand requests of setting up an IPsec connection was discovered in the IKEv2 (Internet Key Exchange) code. Although not harmful, it was not the intended design. This update fixes both of these issues, and Openswan now correctly handles the IKE setup.
Comment 9 errata-xmlrpc 2011-12-06 14:05:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1761.html

Note You need to log in before you can comment on or make changes to this bug.